<!DOCTYPE html>
<html lang=es>
    <head>
        <!-- La codificación. Considéralo una buena práctica -->
        <meta charset=utf-8>

        <!-- Información adicional para buscadores y navegadores -->
        <meta name="author" content="Nombre del autor">
        <meta name="description" content="Estructura de un documento HTML5">

        <!-- Título de la página -->
        <title>Estructura básica de un documento HTML</title>
        
        <script
			  src="https://code.jquery.com/jquery-3.6.1.js"
			  integrity="sha256-3zlB5s2uwoUzrXK3BT7AX3FyvojsraNFxCc2vC/7pNI="
			  crossorigin="anonymous">
        </script>
        <script 
              src="https://cdnjs.cloudflare.com/ajax/libs/json2html/2.1.0/json2html.min.js" 
              defer>
        </script>
        <script src="tabla_json.js" defer></script>
        
    </head>
    <body>
        <form id="filtro"> 
            <select name="modoPeticion">
                <option value="1">XmlHttpRequest</option>
                <option value="2">Fetch</option>
                <option value="3">jQuery</option>
            </select>
            <select name="modoRender">
                <option value="1">JavaScript</option>
                <option value="2">json2html</option>
                <option value="3">jQuery</option>
            </select>
            <input id="nombre" name="nombre" type="text" />
            <input name="enviar" type="submit" />
        </form>

        <table id="resultado">

        </table>
    </body>
</html>
